FreeMat

- Main Page
- Related Pages

vtkGeoFileTerrainSource

Section: Visualization Toolkit Geo Vis Classes

# Usage

vtkGeoFileTerrainSource reads geometry tiles as .vtp files from a directory that follow a certain naming convention containing the level of the patch and the position within that level. Use vtkGeoTerrain's SaveDatabase method to create a database of files in this format.

To create an instance of class vtkGeoFileTerrainSource, simply invoke its constructor as follows

      obj = vtkGeoFileTerrainSource

# Methods

The class vtkGeoFileTerrainSource has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkGeoFileTerrainSource class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkGeoFileTerrainSource = obj.NewInstance ()`
- `vtkGeoFileTerrainSource = obj.SafeDownCast (vtkObject o)`
- `vtkGeoFileTerrainSource = obj.()`
- `~vtkGeoFileTerrainSource = obj.()`
- `bool = obj.FetchRoot (vtkGeoTreeNode root)` - Retrieve the root geometry representing the entire globe.
- `bool = obj.FetchChild (vtkGeoTreeNode node, int index, vtkGeoTreeNode child)`
- `obj.SetPath (string )` - The path the tiled geometry database.
- `string = obj.GetPath ()` - The path the tiled geometry database.